For the complete documentation index, see llms.txt. This page is also available as Markdown.

Generate avatar video task

Create a avatar video with parameters

Generate avatar video video task

post
Header parameters
timestampanyRequired

Millisecond timestamp

Content-TypeanyRequired

application/json

AuthorizationanyRequired

Authorization

RESPONSE-WRAPanyRequired

Whether to encapsulate response data

x-auth-keyanyRequired

Your api key

Body
webhook_urlstringRequired

The webhook url to notify the task information

Responses
200

OK

*/*
failed_reasonstringOptional

The failed reason

file_urlstringOptional

The file url

task_idstringOptional

The task id

task_statusinteger · int32Optional

The task status:0: EXECUTING;1: Success;2: Failed;

webhook_urlstringOptional

The webhook url to notify the task information

post/openapi/v1.0/avatar/video/create
POST /openapi/v1.0/avatar/video/create HTTP/1.1
timestamp: null
Authorization: null
RESPONSE-WRAP: null
x-auth-key: null
Content-Type: application/json
Accept: */*
Content-Length: 94

{
  "params": {
    "voice_id": null,
    "avatar_id": null,
    "text": null,
    "language": null
  },
  "webhook_url": "text"
}
{
  "failed_reason": "text",
  "file_url": "text",
  "params": {
    "ANY_ADDITIONAL_PROPERTY": {}
  },
  "task_id": "text",
  "task_status": 1,
  "webhook_url": "text"
}

Last updated